package org.implab.gradle.variants.artifacts.internal;

import org.eclipse.jdt.annotation.NonNullByDefault;

@NonNullByDefault
interface SlotContributionVisitor {
    void visit(DirectContribution contribution);

    void visit(VariantOutputsContribution contribution);

    void visit(RoleOutputsContribution contribution);

    void visit(LayerOutputsContribution contribution);

}
